#pinstall_hacks.sh
#sourced by pinstall.sh of /usr/share/doc/langpack-template
#                          ================================
#120510 L18L disable LANG=C enables translations of gparted
#130327 L18L help -> pman index
#130420 merge AppInfo.xml.in with AppInfo.xml to enable peaceful coexistence of multiple langpacks

LANG1=${LANG%_*} # ex: de # or uncomment below and use your's
#LANG1=pt_BR
#LANG1=zh_CN
#LANG1=zh_TW
#LANG1=

# from here on there is nothing else to change
echo "#------------------------------------
Running pinstall.sh_hacks..."
#------------------------------------

[ `sed -i 's/^export LANG=C/#export LANG=C/' /usr/sbin/gparted_shell` ] || echo '#$LANG=C in gparted_shell' #120510

#130327 L18L help -> pman index
sed -i -e "s#defaulthtmlviewer file:///usr/share/doc/index.html#pman index#" /etc/xdg/templates/_root_.icewm_menu
sed -i -e "s#exec defaulthtmlviewer file:///usr/share/doc/index.html#pman index#" /etc/xdg/templates/_root_.jwmrc
sed -i -e "s#exec defaulthtmlviewer file:///usr/share/doc/index.html#pman index#" $HOME/.jwmrc
jwm -restart

#130420 merge AppInfo.xml.in with AppInfo.xml
for AFILE in `ls /usr/local/apps/*/AppInfo.xml.in`; do
 XMLFILE="`echo $AFILE|rev|cut -d'.' -f2- | rev`"
 SUMMARY="`grep \<Summary\> $AFILE`" # ex: '<Summary>Trash<Summary>'
 oldSUMMARY=`grep "\<Summary\ xml\:lang\=\"$LANG1" $XMLFILE` # ex: '<Summary xml:lang="de">Muell<Summary>'
 #echo oldSUMMARY=$oldSUMMARY
 mySUMMARY=`grep "\<Summary\ xml\:lang\=\"${LANG1}" $AFILE` # ex: '<Summary xml:lang="de">Müll<Summary>'
 echo mySUMMARY=$mySUMMARY
 sed -ie "/Summary\ xml\:lang\=\"${LANG1}/d"   $XMLFILE # delete translation
 sed -ie "s#${SUMMARY}#${SUMMARY}\n${mySUMMARY}#" $XMLFILE # insert it
 # the Labels now
 sed -ie "/Label\ xml\:lang\=\"${LANG1}/d" $XMLFILE # delete all translations of Label
 #find <Label>s and <Label xml:lang=$LANG1>
 grep '<Label>' $AFILE > /tmp/appinfoLABLE
 grep '<Label xml:lang=\"'${LANG1} $AFILE > /tmp/appinfoXMLLABLE
 N=0;
 while read LINE; do
  N=$(($N + 1));echo $N
  LABEL="`head -n $N /tmp/appinfoLABLE | tail -n 1`" # is N th line
  sed -ie "s#${LABEL}#${LABEL}\n${LINE}#" $XMLFILE # insert translation
 done < /tmp/appinfoXMLLABLE
done
rm /tmp/appinfoLABLE /tmp/appinfoXMLLABLE
#------------------------------------
echo "...merge AppInfo.xml.in with AppInfo.xml finished
#------------------------------------"
#130420 AppInfo.xml.in with AppInfo.xml merged

#------------------------------------
echo "...pinstall.sh_hacks finished
#------------------------------------"
